import { UMB_BLOCK_WORKSPACE_CONTEXT } from '../workspace/block-workspace.context-token.js';
import { UmbConditionBase } from '../../../core/extension-registry/index.js';
export class UmbBlockWorkspaceHasSettingsCondition extends UmbConditionBase {
    constructor(host, args) {
        super(host, args);
        this.consumeContext(UMB_BLOCK_WORKSPACE_CONTEXT, (context) => {
            this.observe(context?.settings.contentTypeId, (settingsContentTypeId) => {
                this.permitted = settingsContentTypeId !== undefined;
            }, 'observeSettingsElementTypeId');
        });
    }
}
export default UmbBlockWorkspaceHasSettingsCondition;
